/*
MySQL-kannasta haettu data esitetään konsolissa JSON-muodossa.
Aja komennolla: node nodemysql
*/
const conn = require('./mysqlconn');

// Voidaan tarvittaessa tutkia toimiiko yhteys MySQL-kantaan
conn.connect((err) => {
  if (err) {
    return console.error('MySQL yhteysvirhe: ' + err.message);
  }
  console.log('Yhteys MySQL-kantaan toimii!');
});

// MySQL-kysely
conn.query('SELECT * FROM opiskelijat;', (err, rows, fields) => {
  if (err) {
    return console.error('MySQL kyselyvirhe: ' + err.message);
  }
  // Kyselyn tulos saadaan query-metodin callbackissa rows-muuttujassa
  console.log(rows);
});
