/*
Yhteydenotto MySQL -kantaan Nodella

Tee kantaan nodemysqlkoe seuraavanlainen taulu:

  CREATE TABLE IF NOT EXISTS `opiskelijat` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'laskuri',
  `snimi` varchar(50) DEFAULT NULL COMMENT 'sukunimi',
  `enimi` varchar(50) DEFAULT NULL COMMENT 'etunimi',
  `onumero` varchar(6) DEFAULT NULL COMMENT 'opiskelijanumero',
  `opisteet` int(3) DEFAULT NULL COMMENT 'opintopisteet',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0;

INSERT INTO opiskelijat (snimi, enimi, onumero, opisteet)
VALUES ('Opiskelija', 'Ossi', 'a1234', 0);

*/

const mysql = require('mysql2'); // Noden mysql2 -kirjasto

// Yhteys sijoitetaan muuttujaan conn
const conn = mysql.createConnection({
  user: 'root',
  password: 'password',
  database: 'nodemysqlkoe',
});

module.exports = conn;
